Show / Hide Table of Contents

# Class RestInviteMetadata

Represents additional information regarding the REST-based invite object.

##### Inheritance

System.Object
RestEntity<System.String>
RestInvite
RestInviteMetadata

##### Implements

IUpdateable
IInviteMetadata
IInvite
IEntity<System.String>
IDeletable

##### Inherited Members

RestInvite.ChannelType
RestInvite.ChannelName
RestInvite.GuildName
RestInvite.PresenceCount
RestInvite.MemberCount
RestInvite.ChannelId
RestInvite.GuildId
RestInvite.Code
RestInvite.Url
RestInvite.UpdateAsync(RequestOptions)
RestInvite.DeleteAsync(RequestOptions)
RestInvite.ToString()
RestInvite.IInvite.Guild
RestInvite.IInvite.Channel
RestEntity<String>.Id
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: Discord.Rest

###### Assembly: Discord.Net.Rest.dll

##### Syntax

    public class RestInviteMetadata : RestInvite, IUpdateable, IInviteMetadata, IInvite, IEntity<string>, IDeletable

### Properties

| Improve this Doc View Source

#### CreatedAt

##### Declaration

    public DateTimeOffset? CreatedAt { get; }

##### Property Value

Type | Description
--- | ---
System.Nullable<System.DateTimeOffset> |

| Improve this Doc View Source

#### Inviter

Gets the user that created this invite.

##### Declaration

    public RestUser Inviter { get; }

##### Property Value

Type | Description
--- | ---
RestUser |

| Improve this Doc View Source

#### IsRevoked

##### Declaration

    public bool IsRevoked { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### IsTemporary

##### Declaration

    public bool IsTemporary { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### MaxAge

##### Declaration

    public int? MaxAge { get; }

##### Property Value

Type | Description
--- | ---
System.Nullable<System.Int32> |

| Improve this Doc View Source

#### MaxUses

##### Declaration

    public int? MaxUses { get; }

##### Property Value

Type | Description
--- | ---
System.Nullable<System.Int32> |

| Improve this Doc View Source

#### Uses

##### Declaration

    public int? Uses { get; }

##### Property Value

Type | Description
--- | ---
System.Nullable<System.Int32> |

### Explicit Interface Implementations

| Improve this Doc View Source

#### IInviteMetadata.Inviter

##### Declaration

    IUser IInviteMetadata.Inviter { get; }

##### Returns

Type | Description
--- | ---
IUser |

### Implements

IUpdateable
IInviteMetadata
IInvite
IEntity<TId>
IDeletable